Name:		txt2tags
Version:	2.6
Release:	%mkrel 7
Summary:	Converts text files to HTML, XHTML, sgml, LaTeX, man, etc
Group:		Text tools
License:	GPLv2
URL:		http://txt2tags.sourceforge.net
Source0:	http://txt2tags.sourceforge.net/src/%{name}-%{version}.tgz
Requires:	python
BuildArch:	noarch
BuildRequires:	gettext

%description
Txt2tags is a generic text converter. From a simple text file with minimal
markup, it generates documents on the following formats: HTML, XHTML, sgml,
LaTeX, Lout, man, Magic Point (mgp), MoinMoin and Adobe PageMaker. Supports
heading, font beautifiers, verbatim, quote, link, lists, table and image.
There are GUI, Web and cmdline interfaces. It's a single Python script and
no external commands or libraries are needed.


%prep
%setup -q

%build
# compile the translated messages for all languages
%define LANGS $(cd po; ls *.po | cut -d. -f1)
for lang in %{LANGS}; do
	msgfmt -o po/$lang.mo po/$lang.po
done

%install
# executables
install -d %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

# man pages
install -d %{buildroot}/%{_mandir}/man1
install -m 0644 doc/manpage.man %{buildroot}/%{_mandir}/man1/txt2tags.1
rm doc/manpage.man

pushd doc
for lang in $(ls -p1 | grep / | cut -d/ -f1); do
    if [ ! -z $(ls $lang | grep .man) ]; then
	install -d %{buildroot}/%{_mandir}/$lang/man1
	install -m 0644 $lang/$(ls $lang | grep .man) %{buildroot}/%{_mandir}/$lang/man1/txt2tags.1
	rm $lang/$(ls $lang | grep .man)
    fi
done
popd

# translations
for lang in %{LANGS}; do
	install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
	install -m 0644 po/$lang.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/txt2tags.mo
done

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README
%doc doc/ extras/ samples/
%{_bindir}/%{name}
%{_mandir}/man1/txt2tags.1*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.6-7.mga5
+ Revision: 739400
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.6-6.mga5
+ Revision: 725270
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6-5.mga5
+ Revision: 690000
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6-4.mga4
+ Revision: 519865
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.6-3.mga3
+ Revision: 384931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 wally <wally> 2.6-2.mga3
+ Revision: 273073
- use find_lang macro

* Sat Jul 21 2012 solbu <solbu> 2.6-1.mga3
+ Revision: 273036
- Import Mandriva package
- Spec cleanup
- Fix License tag
- New version


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.5-2mdv2010.0
+ Revision: 445602
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 2.5-1mdv2009.1
+ Revision: 332916
- New upstream release

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-4mdv2009.0
+ Revision: 261742
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-3mdv2009.0
+ Revision: 255034
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.3-1mdv2008.1
+ Revision: 128686
- kill re-definition of %%buildroot on Pixel's request
- import txt2tags


* Thu Jul 15 2005 Andreas Hasenack <andreas@mandriva.com> 2.3-1mdk
- packaged by Mauricio Teixeira <mteixeira@webset.net>
- Mandriva package created using spec file from Conectiva Contrib
- Group: Text tools
- BuildRequires: gettext
